=== debian/changelog ===
xymon (4.3.30-5) unstable; urgency=medium

  [ Roland Rosenfeld ]
  * Add ca debconf translation.  Thanks to Carles Pina i Estany.
  * 48_png-multiarch: Update to use libpng-config (without version).
  * Build-Depends on libpng-dev (needed for rrdtool).
  * 101_rrdtool1.9: Fix problems with rrdtool 1.9 (including a pkg-config
    based switch for older versions of librrd)
  * Declare compliance with Debian Policy 4.7.3.
  * Remove «Rules-Requires-Root: no», which is the current default.
  * Update years of packaging copyright.
  * Remove «Priority: optional», which is the current default.
  * Update debian/upstream/metadata.
  * Update Forwarded header of several patches.
  * Convert pngs to gifs to fix their names.
  * Update debian/watch to version 5.

  [ Christoph Berg ]
  * Remove myself from Uploaders.

  [ Luca Monducci ]
  * Italian translation updated.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 25 Jan 2026 19:36:45 +0100

xymon (4.3.30-4) unstable; urgency=medium

  [ Carsten Leonhardt ]
  * 99_man_typos: fix typos in man pages.

  [ Roland Rosenfeld ]
  * 100_md5_bufferoverflow: Fix buffer overflow, triggered by
    -D_FORTIFY_SOURCE=3 on Ubuntu 24.04 (see LP#2078638).
  * 99_man_typos: Remove changes in HTML man pages, since they are
    recreated at build time (and otherwise break cleanup).
  * Declare compliance with Debian Policy 4.7.0 (No changes needed).
  * Remove recommending rename, which is no longer used.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 19 Oct 2024 11:09:04 +0200

xymon (4.3.30-3) unstable; urgency=high

  * Promote rrdtool from Suggests to Recommends.
  * Change Homepage header from http://xymon.sourceforge.net/ to
    https://xymon.sourceforge.io/.
  * Drop leftover debconf initialisation in xymon.postinst. (It is no more
    needed since commit 12f853ca and caused a postinst deadlock. Closes:
    #1067110)
  * Refresh line numbers in lintian overrides for the above change.
  * Also drop no more needed xymon.config and xymon.template. Leave
    debconf part in xymon.postrm for proper purging for now.

 -- Axel Beckert <abe@debian.org>  Wed, 27 Mar 2024 01:46:35 +0100

xymon (4.3.30-2) unstable; urgency=medium

  [ Axel Beckert ]
  * Bump debhelper-compat to 13.
    + Override dh_missing with --list-missing due to #968170 in
      dh_apache2/apache2-dev.
  * Lintian Overrides:
    + Update where needed to match current phrasing of the tags.
    + Add new overrides for overzealous spare-manual-page and
      package-contains-documentation-outside-usr-share-doc lintian tags.
    + Remove lintian override for no more emitted
      apache2-deprecated-auth-config tag.
    + Add overrides for very-long-line-length-in-source-file.
  * Bump debian/watch version to 4.
  * Remove packaging adaptions for the hobbit to xymon migration as well
    as maintainer-script snippets caring about versions before 4.3.7-1~~.
  * Drop /var/log/xymon/ and /var/lib/xymon/ directories from being
    shipped in the package. They're created in postinst anyways if they
    don't exist. And they need to be chowned to the dynamically created
    xymon user in postinst no matter what.
  * Declare compliance with Debian Policy 4.6.0. (No changes needed.)

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev, libldap2-dev,
      libpcre3-dev and libssl-dev.
    + xymon: Drop versioned constraint on lsb-base and xymon-client in Depends.
    + xymon: Drop versioned constraint on hobbit-plugins in Breaks.
    + xymon-client: Drop versioned constraint on debconf in Pre-Depends.
    + xymon-client: Drop versioned constraint on hobbit-plugins and xymon in
      Breaks.
    + Remove 77 maintscript entries from 2 files.

  [ Carsten Leonhardt ]
  * Update xymon-client.init: add "reload" to usage message as that is
    supported, too.

  [ Yavor Doganov ]
  * debian/patches/93_pcre2.patch: New; port to PCRE2 (Closes: #999921).
  * debian/control (Build-Depends): Replace libpcre3-dev with libpcre2-dev.
  * debian/rules (override_dh_auto_configure): Use pcre2-config.

  [ Roland Rosenfeld ]
  * 94_nousemultipart: set usemultipart=0 in snapshot and report to fix
    Firefox (Closes: #990989).
  * 95_fix_tls13_banner: Fix problems with imaps/pop3s (Closes: #930532).
  * Replace dependency on lsb-base lsb-release.
  * Update lintian overrides to new syntax.
  * Update debian/po/es.po.  Thanks to Camaleón (Closes: #1017462).
  * Update debian/po/pt_BR.po.  Paulo Henrique de Lima Santana
    (Closes: #1028005).
  * Declare compliance with Debian Policy 4.6.2 (No changes needed).
  * Add debian/salsa-ci.yml pipeline (with crossbuild-arm64 disabled).
  * Remove 87_fix_logfetch_FTBFS_with_glibc_2.26, which is included
    upstream since 4.3.29~r8060.
  * Add a systemd xymon-client.service file.
  * Add a systemd xymon.service file (Closes: #1039429).
  * Move xymond_client from xymon to xymon-client (Closes: #903614)
  * Remove invoke-rc.d hobbit[-client] stop calls from preinst scripts.
  * Auto-generate apache2 recommends via ${misc:Recommends}.
  * Convert CREDITS to UTF-8.
  * Remove obsolete Homepage field from d/u/metadata.
  * Lintian override apache2-deprecated-auth-config, because offending
    lines are already wrapped by <IfModule !mod_authz_core.c>.
  * 96_manual-backslash: Correct encoding of backslash in man pages.
  * Regenerate HTML documentation during build (Closes: #646168).
  * 97_makehtml: Makes HTML documentation reproducible.
  * 21_FHS-instead-FSSTND-in-example-in-man-page: remove html patch, since
    this is now auto generated.
  * 98_man_fb: Fix typo \fb (instead of \fB) in some man pages.
  * 92_ntpdate_ntpdig: Use "ntpdig -t 1" (from ntpsec-ntpdig) instead of
    "ntpdate -u -q -p 1" (shell wrapper) (Closes: #1057044).
  * 93_pcre2: Fix pcre2_substring_copy_bynumber() return values.
  * Exchange Maintainer and Uploaders, and add myself to Uploaders.
  * Apply wrap-and-sort -a.


